bomberclone -- programming error

2006-09-19T00:00:00
ID DSA-1180
Type debian
Reporter Debian
Modified 2006-09-19T00:00:00

Description

Luigi Auriemma discovered two security related bugs in bomberclone, a free Bomberman clone. The Common Vulnerabilities and Exposures project identifies the following problems:

The program copies remotely provided data unchecked which could lead to a denial of service via an application crash.

Bomberclone uses remotely provided data as length argument which can lead to the disclosure of private information.

For the stable distribution (sarge) these problems have been fixed in version 0.11.5-1sarge2.

For the unstable distribution (sid) these problems have been fixed in version 0.11.7-0.1.

We recommend that you upgrade your bomberclone package.